package cn.estsh.i3plus.pojo.mes.pcn.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Description :维修
 * @Reference :
 * @Author : crish
 * @CreateDate : 2019-08-08
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_REPAIR")
@Api("维修")
public class MesRepair extends BaseBean implements Serializable {
    private static final long serialVersionUID = -7520365696308295804L;
    @Column(name = "REPAIR_CODE")
    @ApiParam("维修代码")
    private String repairCode;

    @Column(name = "REPAIR_NAME")
    @ApiParam("维修名称")
    private String repairName;

    @Column(name = "REPAIR_TYPE")
    @ApiParam("维修类型")
    private Integer repairType;
}
