package cn.estsh.i3plus.pojo.mes.pcn.model;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author Wynne.Lu
 * @date 2020/2/21 17:20
 * @desc
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Api("工位监控观察者对象")
public class PcsObserverStatusModel {

    @ApiParam("产线")
    private String workCenterCode;

    @ApiParam("运行状况")
    private Boolean runningStatus;
}
