package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Description:
 * @Author: jokelin
 * @Date: 2020/4/20 4:53 下午
 * @Modify:
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_BOARD_PICTURE")
@Api("MES_看板图片")
public class MesBoardPicture extends BaseBean implements Serializable {

    private static final long serialVersionUID = 5784111763887252647L;

    @Column(name = "BOARD_CODE")
    @ApiParam("看板代码")
    private String boardCode;

    @Column(name = "PICTURE_URL")
    @ApiParam("图片路径")
    private String pictureUrl;
}
