package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Description:
 * @Author: jokelin
 * @Date: 2020/3/18 7:33 下午
 * @Modify:
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_ENCODE_RULE_MAP")
@Api("MES_编码规则映射表")
public class MesEncodeRuleMap extends BaseBean implements Serializable {

    private static final long serialVersionUID = 4668354179377433538L;

    @Column(name = "TYPE_CODE")
    @ApiParam("编码类型代码")
    private String typeCode;

    @Column(name = "TYPE_NAME")
    @ApiParam("编码类型名称")
    private String typeName;

    @Column(name = "BUSINESS_CODE")
    @ApiParam("业务代码")
    private String businessCode;

    @Column(name = "BUSINESS_VALUE")
    @ApiParam("业务值")
    private String businessValue;
}
