package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

@Data
@Entity
@DynamicInsert
@DynamicUpdate
@Table(name = "MES_LOG")
@Api("MES_日志表")
public class MesLog extends BaseBean implements Serializable {
    private static final long serialVersionUID = 4089347882308864216L;

    @Column(name = "METHOD_NAME")
    @ApiParam(value = "方法名")
    private String methodName;

    @Column(name = "LOG")
    @ApiParam(value = "日志")
    private String log;

    @Column(name = "RESULT")
    @ApiParam(value = "更新结果")
    private String result;
}
