package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.io.Serializable;

/**
 * @Description :
 * @Reference :
 * @Author : joke
 * @CreateDate : 2020-03-06 10:16 上午
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_QUEUE_GROUP_COUNT")
@Api("MES_队列分组计数")
public class MesQueueGroupCount extends BaseBean implements Serializable {

    private static final long serialVersionUID = -7799006330177462162L;

    @Column(name = "QGR_CODE")
    @ApiParam("分组规则代码")
    private String qgrCode;

    @Column(name = "QUEUE_GROUP_NO")
    @ApiParam("分组队列编号")
    private String queueGroupNo;

    @Column(name = "QTY")
    @ApiParam("分组数量")
    private Integer qty;

    @Column(name = "CNT_QTY")
    @ApiParam("累计数")
    private Integer cntQty;

    @Column(name = "GROUP_SIDE")
    @ApiParam("料架摆放位置")
    private String groupSide;
}
