package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Description:
 * @Reference:
 * @Author: adair.song
 * @CreateDate: 2020\04\21 13:34
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_WORK_CELL_SKILL")
@Api("MES_工位技能表")
public class MesWorkCellSkill extends BaseBean implements Serializable {

    private static final long serialVersionUID = 1239825214741345208L;
    @Column(name = "SKILL_CODE")
    @ApiParam("技能代码")
    private String skillCode;

    @Column(name = "SKILL_NAME")
    @ApiParam("技能名称")
    private String skillName;

    @Column(name = "WORK_CENTER_CODE")
    @ApiParam("工作中心代码")
    private String workCenterCode;

    @Column(name = "WORK_CELL_CODE")
    @ApiParam("工作单元代码")
    private String workCellCode;

    @Column(name = "WORK_CELL_NAME")
    @ApiParam("工作单元名称")
    private String workCellName;
}
