package cn.estsh.i3plus.pojo.mes.model.mgnbj;

import com.thoughtworks.xstream.annotations.XStreamAlias;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @author Wynne.Lu
 * @date 2020/6/23 12:35
 * @desc
 */
@Data
@XStreamAlias("part")
public class Part implements Serializable {
    private static final long serialVersionUID = -8947770816754458901L;

    @XStreamAlias("item")
    private String item;

    @XStreamAlias("componentGroup")
    private String componentGroup;

    @XStreamAlias("dock")
    private String dock;

    @XStreamAlias("qty")
    private String qty;

    @ApiParam("是否是baseModule")
    private Integer isBaseModule;

    @ApiParam("前左数量")
    private String flQty;

    @ApiParam("前右数量")
    private String frQty;

    @ApiParam("后左数量")
    private String rlQty;

    @ApiParam("后右数量")
    private String rrQty;

    @ApiParam("产品位置")
    private String produceCtgyCode;

    @ApiParam("配方")
    private String recipeItem;

    @ApiParam("配方顺序")
    private String recipeSeq;

    @ApiParam("Mes物料号")
    private String partNo;

}
