package cn.estsh.i3plus.pojo.model.wms;

import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

/**
 * @Description : Wms实体字段Model信息
 * @Reference :
 * @Author : siliter.yuan
 * @CreateDate : 2020-04-24 09:53
 * @Modify:
 **/
@Data
@NoArgsConstructor
public class BasBeanInfoModel implements Serializable {

    private static final long serialVersionUID = -6376845639646448495L;

    @ApiParam(value = "系统名称")
    public String systemName;

    @ApiParam(value = "实体名称")
    public String entityName;

    @ApiParam(value = "数据表名称")
    private String tableName;

    @ApiParam(value = "数据表描述")
    private String tableDesc;

    @ApiParam(value = "字段列表数据")
    private List<BasBeanFieldInfoModel> fieldInfoModelList;
}
