package cn.estsh.i3plus.pojo.ptl.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @author Wynne.Lu
 * @date 2020/2/12 17:41
 * @desc
 */

@Data
@Entity
@DynamicInsert
@DynamicUpdate
@Table(name = "PTL_ACTOR")
@EqualsAndHashCode(callSuper = true)
@Api("ACTOR信息")
public class PtlActor extends BaseBean implements Serializable {

    private static final long serialVersionUID = -7339437529064969381L;

    @Column(name = "ACTOR_CODE")
    @ApiParam("actor代码")
    private String actorCode;

    @Column(name = "ACTOR_NAME")
    @ApiParam("actor名称")
    private String actorName;

    @Column(name = "ACTOR_Class")
    @ApiParam("actor名称")
    private String actorClass;


}
