package cn.estsh.i3plus.pojo.wms.modelbean;

import cn.estsh.i3plus.pojo.base.enumutil.WmsEnumUtil;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.util.List;
import java.util.Map;

@Data
public class PushMessageModel {


    @ApiParam("标题")
    public String title;

    @ApiParam("内容")
    public String content;

    //推送类型-枚举 ：WmsEnumUtil.PUSH_TYPE
    @ApiParam("推送类型")
    public String pushType;

    //推送地址，邮箱以逗号分割
    @ApiParam("推送地址")
    public String pathUrl;


    @ApiParam("工厂代码")
    private String organizeCode;


}
