package cn.estsh.i3plus.pojo.mes.pcn.model;


import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @Author: wangjie
 * @CreateDate: 2019/8/21 9:19 AM
 * @Description:
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
@Api("mes页面按钮控制model")
public class MesButtonFlagModel implements Serializable {

    @ApiParam("修改按钮")
    private boolean updateButton;

    @ApiParam("按配置修改按钮")
    private boolean updateButtonConfig;

    @ApiParam("下达按钮")
    private boolean transmitButton;

//    @ApiParam("测试动态下达按钮")
//    private boolean dynamicTransmitButtonTest;

    @ApiParam("启动按钮")
    private boolean startUpButton;

    @ApiParam("暂停按钮")
    private boolean suspendButton;

    @ApiParam("取消按钮")
    private boolean revokeButton;

    @ApiParam("关闭按钮")
    private boolean closeButton;

    @ApiParam("完成按钮")
    private boolean completeButton;

    @ApiParam("关闭按钮-提醒")
    private boolean closeButtonNoticeFlag;

    @ApiParam("维修任务按钮")
    private boolean repairButton;


}
