package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Description:
 * @Author: jokelin
 * @Date: 2020/4/20 4:43 下午
 * @Modify:
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_BOARD_TYPE")
@Api("MES_看板类型")
public class MesBoardType extends BaseBean implements Serializable {

    private static final long serialVersionUID = 3652595133806144706L;

    @Column(name = "BOARD_TYPE")
    @ApiParam("看板类型")
    private String boardType;

    @Column(name = "BOARD_TYPE_NAME")
    @ApiParam("看板类型名称")
    private String boardTypeName;

    @Column(name = "MEMO")
    @ApiParam("备注")
    private String memo;
}
