package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Description:
 * @Reference:
 * @Author: wangjie
 * @CreateDate:2019-09-18-17:36
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_SHIFT_GROUP")
@Api("班组")
public class MesShiftGroup extends BaseBean implements Serializable {
    private static final long serialVersionUID = 3409573116624543569L;

    @Column(name = "GROUP_CODE")
    @ApiParam("班组代码")
    private String groupCode;

    @Column(name = "GROUP_NAME")
    @ApiParam("班组名称")
    private String groupName;

    @Column(name = "WORK_CENTER_CODE")
    @ApiParam("产线")
    private String workCenterCode;

    @Column(name = "SQUAD_LEADER")
    @ApiParam("班长")
    private String squadLeader;
}
