package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Description :
 * @Reference :
 * @Author : zcg
 * @Date : 2020/3/20 0020 - 16:21
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_WINDOW_MODULE")
@Api("MES_界面组件配置")
public class MesWindowModule extends BaseBean implements Serializable {

    private static final long serialVersionUID = -634938009999201410L;

    @Column(name = "WINDOW_NO")
    @ApiParam("菜单编号")
    private String windowNo;

    @Column(name = "MODULE_CODE")
    @ApiParam("按钮组件代码")
    private String moduleCode;

    @Column(name = "WINDOW_MODULE_BACK")
    @ApiParam("回调界面方法")
    private String windowModuleBack;

}
