package cn.estsh.i3plus.pojo.model.wms;

import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.util.List;
import java.util.Map;

/**
 * @Description : 条码FIFO推荐
 * @Reference :
 * @Author : jimmy.zeng
 * @CreateDate : 2019-12-17 20:41
 * @Modify:
 **/
@Data
public class WmsStockFifoModel {

    @ApiParam(value = "工厂代码")
    String organizeCode;

    @ApiParam(value = "物料集合")
    List<String> partNos;

    @ApiParam(value = "存储区集合")
    List<String> zoneNos;

    @ApiParam(value = "物料对应的存储区")
    Map<String, String> partToZoneMap;

    @ApiParam(value = "单据号")
    String orderNo;

    @ApiParam(value = "物料对应的存储区集合")
    Map<String,List<String>> partToZonesMap;

    @ApiParam(value = "波次配料物料清单")
    boolean collectPicking = false;

    @ApiParam("默认规则")
    private String defaultRule;
}
