package cn.estsh.i3plus.pojo.ptl.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @author Wynne.Lu
 * @date 2020/2/12 17:41
 * @desc
 */

@Data
@Entity
@DynamicInsert
@DynamicUpdate
@Table(name = "PTL_MESSAGE_TYPE_FORMAT")
@EqualsAndHashCode(callSuper = true)
@Api("消息类型格式")
public class PtlMessageTypeFormat extends BaseBean implements Serializable {

    private static final long serialVersionUID = 1114241840945889678L;

    @Column(name = "MT_CODE")
    @ApiParam("消息类型代码")
    private String mtCode;

    @Column(name = "FIELD_CODE")
    @ApiParam("属性代码")
    private String fieldCode;

    @Column(name = "FIELD_NAME")
    @ApiParam("属性名称")
    private String fieldName;

}
